Full documentation for this service is available at /documentation/public-service.
GetItem |WebMethod|
Gets an Item.
Parameters
- itemId, The Id of the Item (auction)
Returns
Item (auction) object
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/GetItem" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetItem xmlns="http://api.tradera.com"> <itemId>itemId</itemId> </GetItem> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetItemResponse xmlns="http://api.tradera.com"> <GetItemResult>Item (auction) object</GetItemResult> </GetItemResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetItem xmlns="http://api.tradera.com"> <itemId>itemId</itemId> </GetItem> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetItemResponse xmlns="http://api.tradera.com"> <GetItemResult>Item (auction) object</GetItemResult> </GetItemResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/PublicService.asmx/GetItem?appId=string&appKey=string&itemId=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetItemResult xmlns="http://api.tradera.com">Item (auction) object</GetItemResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/PublicService.asmx/GetItem HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&itemId=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetItemResult xmlns="http://api.tradera.com">Item (auction) object</GetItemResult>